> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the payment methods of a cart.

> Retrieves the payment methods of a cart.



## OpenAPI

````yaml get /public/checkout/cart/{id}/payment-methods
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /public/checkout/cart/{id}/payment-methods:
    parameters: []
    get:
      tags:
        - Cart
      summary: Retrieves the payment methods of a cart.
      description: Retrieves the payment methods of a cart.
      operationId: getCartPaymentMethods
      parameters:
        - name: id
          in: path
          description: Cart identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: Cart collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/Cart.PaymentMethod-CartPublicPaymentMethod
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
              example:
                data:
                  - id: c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b
                    gatewayName: stripe
                    type: card
                    default: true
                    status: active
                    enabled: true
                    name: Visa (4242)
                    creationDate: '2024-01-15T10:30:00+00:00'
                    expirationDate: '2026-12-31T23:59:59+00:00'
                    card:
                      brand: Visa
                      last4: '4242'
                      expMonth: 12
                      expYear: 2026
                      cardHolder: Max Mustermann
                    sepaDebit: null
                    paypal: null
                meta:
                  totalItems: 1
                  itemsPerPage: 30
                  currentPage: 1
            text/html:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Cart.PaymentMethod-CartPublicPaymentMethod
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /public/checkout/cart/{id}/payment-methods \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Cart.PaymentMethod-CartPublicPaymentMethod:
      type: object
      description: >-
        Payment method available for a checkout cart, visible in the public
        checkout flow.
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        gatewayName:
          type: string
          enum:
            - wallet
            - sepa_debit
            - stripe
            - fake_provider
            - paypal
            - bank_transfer
            - go_cardless
            - testing
        type:
          type:
            - string
            - 'null'
          enum:
            - sepa_debit
            - card
            - paypal
            - bank_transfer
            - wallet
            - fake_provider
            - null
        default:
          type: boolean
        status:
          default: active
          example: active
          type: string
          enum:
            - active
            - action_required
            - expired
            - revoked
            - gateway_unconfigured
        enabled:
          type: boolean
        name:
          type:
            - string
            - 'null'
        creationDate:
          readOnly: true
          type: string
          format: date-time
        expirationDate:
          type:
            - string
            - 'null'
          format: date-time
        card:
          readOnly: true
          description: The card data of the payment method, if the type is "card"
          type: object
          properties:
            brand:
              type: string
              example: Visa
              description: The brand of the card
            last4:
              type: string
              example: '4242'
              description: The last 4 digits of the card
            expMonth:
              type: integer
              example: 12
              description: The expiration month of the card
            expYear:
              type: integer
              example: 2022
              description: The expiration year of the card
            cardHolder:
              type: string
              example: Max Mustermann
              description: The card holder name
        sepaDebit:
          readOnly: true
          description: >-
            The sepa mandate data of the payment method, if the type is
            "sepa_debit"
          type: object
          properties:
            iban:
              type: string
              example: DE8937*********3232
              description: The iban of the sepa mandate
            bic:
              type: string
              example: COBADEFFXXX
              description: The bic of the sepa mandate
            mandateReference:
              type: string
              example: MNDT-2021-123456
              description: The mandate reference of the sepa mandate
            signingDate:
              type: string
              example: '2021-01-01T00:00:00+00:00'
              description: The signing date of the sepa mandate
        paypal:
          readOnly: true
          description: The paypal data of the payment method, if the type is "paypal"
          type: object
          properties:
            email:
              type: string
              example: max@mustermann.de
              description: The email of the paypal account
            billingAgreementId:
              type: string
              example: I-1J5gqz2eZvKYlo2C2X2X2X2X
              description: The billing agreement id of the paypal account
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````